#include "main.h"


typedef struct
{
	int sock;
	SSL *ssl;
	char requestMethod[0x100];
	char requestUri[0x90];
	char contentLength[0x100];
	char fileName[0x100];
	char upgrade[32];
  	char wsKey[32];
} Request;

//======================================================================

int recvLine(int sock, char *line, int lineSize);
void sendAll(int sock, const void *data, int dataSize);
int recvAll(int fd, void *buffer,int bufferCapacity);

int sslRecvAll(SSL *ssl, void *buffer,int bufferCapacity);
int sslRecvLine(SSL *ssl, char *line,  int lineSize);
void sslSendAll(SSL *ssl, const void *data, int dataSize);

Request * createRequest(int sock, bool useSsl);
void destroyRequest(Request *req);

//======================================================================
